//
//  CODPropertyListRepresentationProtocol.h
//  cocoatest
//
//  Created by Robinson on 21.06.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

@protocol CODPropertyListRepresentationProtocol

//“Raw” property list representation: A dictionary without any “$class”. The values can be, or contain (through arrays and dictionaries), non-plist-compatible objects that, of course, must conform to this protocol.
//“Cooked” property list representation: A fully plist-compatible hierachy of objects, containing “$class” as necessary.

- (NSDictionary *)rawPropertyListRepresentation;
- (id)initWithRawPropertyListRepresentation:(NSDictionary *)rawPropertyListRepresentation;
+ (NSString *)classNameInCookedPropertyListRepresentation;

@end